SND_SOC_KCONTROL_PLA(9)

NAME
snd_soc_kcontrol_platform - Returns the platform that registerd the control

SYNOPSIS

struct snd_soc_platform * snd_soc_kcontrol_platform(struct snd_kcontrol * kcontrol);

ARGUMENTS

kcontrol
    The control for which to get the platform

NOTE

This function will only work correctly if the control has been registered with snd_soc_add_platform_controls or via table based setup of a snd_soc_platform_driver. Otherwise the behavior is undefined.

COPYRIGHT